Favicon

You are here: Home > API Reference > Windows > Winenrollmenttemplates > Remove Windows enrollment template

Remove Windows enrollment template

Required Permission: mdm.windows.enrollmentTemplate.remove

Permanently delete Windows enrollment template from organization configuration. Does not affect devices already enrolled using this template, only prevents future usage.

DELETE
/v1/organizations/:organizationId/mdm/windows/enterprise/enrollment-templates/:winEnrollmentTemplateId
Copy to clipboard

Remove Windows enrollment template

Required Permission: mdm.windows.enrollmentTemplate.remove

Permanently delete Windows enrollment template from organization configuration. Does not affect devices already enrolled using this template, only prevents future usage.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winEnrollmentTemplateId string
required
Unique identifier for the Windows enrollment template referenced in URL path parameters.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
delete string optional
OK
{
    "status": true,
    "data": {
        "delete": "OK"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5050
message string optional
Feature not allowed for you billing plan
{
    "status": false,
    "error": {
        "code": 5050,
        "message": "Feature not allowed for you billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}